database_api.list_change_recovery_account_requests
since HF11
Purpose
Returns a list of recovery account change requests. Parameters: start:object, limit:int, order:string
startdepends onorder(see below)limitis up to 1000.ordercan be one of:by_account- order by accountstartis string of:account
by_effective_date- order by effective datestartis an array of two values:timestamp,account
| start (object) | limit (int) | order (string) | | |----------------------------|---------------|-| | "" | 10 | "by_account" | Queries first 10 requests, sort by account | | ["1960-01-01T00:00:00", ""] | 10 | "by_effective_date" | Queries first 10 requests, sort by effective date |
Also see: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_change_recovery_account_requests",
"params": {
"start": "alice",
"limit": 10,
"order": "by_account"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_change_recovery_account_requests",
"params": {
"start": [
"1960-01-01T00:00:00",
""
],
"limit": 10,
"order": "by_effective_date"
},
"id": 1
}'Response
RESPONSE
json
{
"requests": [
{
"id": 99,
"account_to_recover": "alice",
"recovery_account": "bob",
"effective_on": "1960-01-01T00:00:00"
}
]
}